Package Gnumed :: Package business :: Module gmEMRStructItems :: Class cEpisode |
[frames] | no frames]

# Class cEpisode

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cEpisode

Represents one clinical episode.

Instance Methods
__init__(self, aPK_obj=None, id_patient=None, name=`'``xxxDEFAULTxxx``'`, health_issue=None, row=None, encounter=None) Init business object. | source code
get_access_range(self) Get earliest and latest access to this episode. | source code
get_patient(self) | source code
get_narrative(self, soap_cats=None, encounters=None, order_by=None) | source code
rename(self, description=None) Method for episode editing, that is, episode renaming. | source code
add_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
remove_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
format_as_journal(self, left_margin=0, date_format=`'``%a, %b %d %Y``'`) | source code
format(self, left_margin=0, patient=None, with_summary=True, with_codes=True, with_encounters=True, with_documents=True, with_hospital_stays=True, with_procedures=True, with_family_history=True, with_tests=True, with_vaccinations=True, with_health_issue=False) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| diagnostic_certainty_description
| generic_codes
| has_narrative
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, id_patient=None, name=`'``xxxDEFAULTxxx``'`, health_issue=None, row=None, encounter=None) (Constructor) | source code
    Init business object.

    Call from child classes:

            super(cChildClass, self).__init__(aPK_obj = aPK_obj, row = row)
Overrides: object.__init__ (inherited documentation)

### get_access_range(self) | source code
Get earliest and latest access to this episode. Returns a tuple(earliest, latest).

### get_patient(self) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.get_patient

### rename(self, description=None) | source code
Method for episode editing, that is, episode renaming. @param description the new descriptive name for the encounter @type description a string instance

Property Details

### diagnostic_certainty_description Get Method: _get_diagnostic_certainty_description(self) Set Method: unreachable(x)

### generic_codes Get Method: _get_generic_codes(self) Set Method: _set_generic_codes(self, pk_codes)

### has_narrative Get Method: _get_has_narrative(self) Set Method: unreachable(x)